xine-lib: Data Fields

xine-lib 1.2.13-20230125hg15249

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - g -

- g : _PIXEL, eq2_param_t, palette_entry_s
- gain : ff_audio_class_t
- gain12_f : faad_class_t
- gain12_i : faad_class_t
- gain3_f : faad_class_t
- gain3_i : faad_class_t
- gain6_f : faad_class_t
- gain6_i : faad_class_t
- gain9_f : faad_class_t
- gain9_i : faad_class_t
- gain_db : faad_class_t
- gain_f : faad_class_t
- gain_i : faad_class_t
- gamma : eq2_parameters_s, sIIRCoefficients, vf_priv_s
- gap_tolerance : aos_t, esd_driver_s
- gapless_switch : xine_stream_private_st
- gaps_in_frame_num_value_allowed_flag : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- gb_buf : v4l_input_plugin_t
- gb_buffers : v4l_input_plugin_t
- gb_frame : v4l_input_plugin_t
- gc : pgx32_driver_t, pgx64_driver_t, x11osd, xcbosd, xshm_driver_t, xv_driver_s, xxmc_driver_s
- gcry_h : crypto_input_plugin_t
- gen : xine_private_t
- general_speed : _ZOOM_FILTER_FX_WRAPPER_DATA
- generate_csc_matrix : vdpau_driver_t
- genre : id3v1_tag_t, qt_info
- get : fifo_buffer_s, vdpau_driver_t, xine_pts_queue_s, xine_sarray_s
- get_AspectRatio : IDivxFilterInterface_vt
- get_autoplay_list : input_class_s
- get_bits : vdpau_driver_t
- get_blocksize : input_plugin_s
- get_Brightness : IDivxFilterInterface_vt
- get_buffer : xine_audio_port_s
- get_capabilities : ao_driver_s, demux_plugin_s, input_plugin_s, osd_renderer_s, vo_driver_s, xine_audio_port_s, xine_video_port_s
- get_cb : fifo_buffer_s
- get_cb_data : fifo_buffer_s
- get_content : scratch_buffer_s
- get_context : vaapi_accel_funcs_s
- get_Contrast : IDivxFilterInterface_vt
- get_current : scr_plugin_s
- get_current_pos : input_plugin_s
- get_current_time : input_plugin_s, metronom_clock_s
- get_dir : input_class_s
- get_feature_enables : vdpau_driver_t
- get_frame : xine_video_port_s
- get_frametype : demux_ts_t
- get_gap_tolerance : ao_driver_s
- get_handle : video_overlay_manager_s
- get_help : xine_post_api_t
- get_instance : input_class_s, xine_module_class_s
- get_interact_info : spu_decoder_s
- get_last_frame : xine_video_port_s
- get_length : input_plugin_s
- get_list : xine_ring_buffer_s
- get_MaxDelayAllowed : IDivxFilterInterface_vt
- get_mrl : input_plugin_s
- get_option : metronom_clock_s, metronom_s
- get_optional_data : demux_plugin_s, input_plugin_s
- get_overlay_manager : xine_video_port_s
- get_palette : osd_renderer_s
- get_param_descr : xine_post_api_t
- get_parameters : vdpau_driver_t, xine_post_api_t
- get_PPLevel : IDivxFilterInterface_vt
- get_priority : scr_plugin_s
- get_proc_address : xine_gl
- get_property : ao_driver_s, vo_driver_s, xine_audio_port_s, xine_video_port_s
- get_property_min_max : vo_driver_s
- get_Saturation : IDivxFilterInterface_vt
- get_serialized_entry : config_values_s
- get_status : demux_plugin_s
- get_stream_length : demux_plugin_s
- get_text_size : osd_renderer_s
- get_textures : xine_glconv_t
- get_time : vdpau_driver_t
- get_vaapi_surface : vaapi_accel_funcs_s
- GetActualDataLength : IMediaSample_vt
- GetAllocator : IMemInputPin_vt
- GetAllocatorRequirements : IMemInputPin_vt
- getbits_ycbcr : vdpau_driver_t
- GetBuffer : IMemAllocator_vt
- GetBufferAndLength : IMediaBuffer_vt
- GetClassID : IBaseFilter_vt
- GetComponentInfo : qtv_decoder_s
- GetCurrentOperationMode : IDMOVideoOutputOptimizations_vt
- GetCurrentSampleRequirements : IDMOVideoOutputOptimizations_vt
- GetGWorldPixMap : qtv_decoder_s
- GetInputCurrentType : IMediaObject_vt
- GetInputMaxLatency : IMediaObject_vt
- GetInputSizeInfo : IMediaObject_vt
- GetInputStatus : IMediaObject_vt
- GetInputStreamInfo : IMediaObject_vt
- GetInputType : IMediaObject_vt
- GetLatency : IMediaObjectInPlace_vt
- GetMaxLength : IMediaBuffer_vt
- GetMediaTime : IMediaSample_vt
- GetMediaType : IMediaSample_vt
- GetOutputCurrentType : IMediaObject_vt
- GetOutputSizeInfo : IMediaObject_vt
- GetOutputStreamInfo : IMediaObject_vt
- GetOutputType : IMediaObject_vt
- GetPin : _CBaseFilter2, _CBaseFilter
- GetPointer : IMediaSample_vt
- GetProperties : IMemAllocator_vt
- GetSize : IMediaSample_vt
- GetSmth : IHidden_vt
- GetSmth2 : IHidden_vt
- GetSmth3 : IHidden_vt
- GetSmth4 : IHidden_vt
- GetSmth5 : IHidden_vt
- GetSmth6 : IHidden_vt
- GetState : IBaseFilter_vt
- GetStatus : IDMOQualityControl_vt
- GetStreamCount : IMediaObject_vt
- GetSyncSource : IBaseFilter_vt
- GetTime : IMediaSample_vt
- GetUnusedPin : _CBaseFilter
- ggamma : eq2_parameters_s, vf_priv_s
- gl : opengl2_driver_s, xine_gl_plugin_s
- gl_exts : opengl_driver_t
- glBindProgramARB : opengl_driver_t
- glBindTextureEXT : opengl_driver_t
- glconv : opengl2_driver_s
- glGenProgramsARB : opengl_driver_t
- glGenTexturesEXT : opengl_driver_t
- glProgramEnvParameter4fARB : opengl_driver_t
- glProgramStringARB : opengl_driver_t
- gmline1 : _PLUGIN_INFO
- gmline2 : _PLUGIN_INFO
- goFullScreen: : XineOpenGLView
- goom : post_plugin_goom_s
- goom_limit : _SOUND_INFO
- goom_limit_p : _SOUND_INFO
- goom_power_p : _SOUND_INFO
- goomInfo : _GMLINE
- goomPower : _SOUND_INFO
- goomvar : _PLUGIN_INFO
- gop : mpeg2_info_s, mpeg2dec_s
- gop_closure : ivtv_ioctl_codec, xine_set_mpeg_data_t
- gop_size : xine_set_mpeg_data_t
- got_audio_header : demux_flv_t
- got_audio_samples : metronom_s
- got_frame : xine_a52_parser_t
- got_frame_data : vidix_driver_s
- got_info : demux_flv_t
- got_spu_packet : metronom_s
- got_video_frame : metronom_s
- got_video_header : demux_flv_t
- gr_gaps : aos_t
- gr_pos : aos_t
- gr_sum : aos_t
- grab : demux_iff_t, vos_t, xine_grab_video_frame_s
- grab_cond : vdpau_driver_t
- grab_frame : vdpau_grab_video_frame_t, vos_grab_video_frame_s
- grab_height : vos_grab_video_frame_s
- grab_lock : vdpau_driver_t
- grab_only : aos_t, vos_t
- grab_width : vos_grab_video_frame_s
- gRandom : _PLUGIN_INFO
- granuleshift : stream_info_s
- grille : _TENTACLE_FX_DATA
- group : hls_input_plugin_s
- gsl_struct : _GoomSL, YYSTYPE
- gsl_struct_field : YYSTYPE
- gsl_struct_size : _GoomSL
- gsm_state : gsm610_decoder_s
- guarded_render : va_hw_frame_plugin_t, vaapi_accel_funcs_s, vaapi_driver_s
- gui_data_exchange : vo_driver_s
- gui_height : mmal_driver_t, opengl_driver_t, vo_scale_s
- gui_pixel_aspect : vo_scale_s
- gui_width : mmal_driver_t, opengl_driver_t, vo_scale_s
- gui_win_x : vo_scale_s
- gui_win_y : vo_scale_s
- gui_x : vo_scale_s
- gui_y : vo_scale_s
- guid : _CodecInfo, mms_s, w32a_decoder_s, w32v_decoder_s
- guih : opengl2_draw_info_t
- guiw : opengl2_draw_info_t